<h4>Add a rent for {{receivedPerson.name}}</h4>
<br>
<form (submit)="onSubmit()" #addRentForm="ngForm">
  <div class="md-form">
    <input required #begin="ngModel" class="textbox-n form-control" type="text" onfocus="(this.type='date')" onblur="(this.type='text')"
           id="defaultForm-begin" mdbActive [(ngModel)]="rent.beginRent" name="begin">
    <label [class.active]="rent.beginRent && rent.beginRent.length > 0" for="defaultForm-begin">Begin</label>
  </div>
  <div class="alert alert-danger" *ngIf="begin.touched && !begin.valid">
    <div *ngIf="begin.errors.required">
      The begin date is required.
    </div>
  </div>

  <div class="md-form">
    <input required #end="ngModel" class="textbox-n form-control" type="text" onfocus="(this.type='date')" onblur="(this.type='text')"
           id="defaultForm-end" mdbActive [(ngModel)]="rent.endRent" name="end">
    <label [class.active]="rent.endRent && rent.endRent.length > 0" for="defaultForm-end">End</label>
  </div>
  <div class="alert alert-danger" *ngIf="end.touched && !end.valid">
    <div *ngIf="end.errors.required">
      The end date is required.
    </div>
  </div>

  <div class="form-group">
    <label>Book</label>
    <select required #book="ngModel" class="form-control" [(ngModel)]="rent.book" name="vehicule">
      <option *ngFor="let book of bookList" [ngValue]="book">{{book.title}}</option>
    </select>
  </div>
  <div class="alert alert-danger" *ngIf="book.touched && !book.valid">
    <div *ngIf="book.errors.required">
      The book is required.
    </div>
  </div>

  <div class="text-justify">
    <button class="btn btn-success" mdbRippleRadius [disabled]="!addRentForm.valid">Add</button>
  </div>
</form>


<div mdbModal #badInput="mdb-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title w-100" id="myModalLabel">Error</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="badInput.hide()">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <p>{{errorMessage}}</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger btn-sm waves-light" data-dismiss="modal" (click)="badInput.hide()" mdbRippleRadius>OK</button>
        <button type="button" class="btn btn-elegant btn-sm waves-light" data-dismiss="modal" (click)="badInput.hide()" mdbRippleRadius>Cancel</button>
      </div>
    </div>
  </div>
</div>
